cURL
curl --request GET \ --url https://api.exa.ai/websets/v0/imports \ --header 'x-api-key: <api-key>'
{ "data": [ { "id": "<string>", "object": "import", "status": "pending", "format": "csv", "entity": { "type": "company" }, "title": "<string>", "count": 123, "metadata": {}, "failedReason": "invalid_format", "failedAt": "2023-11-07T05:31:56Z", "failedMessage": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "hasMore": true, "nextCursor": "<string>" }
Lists all imports for the Webset.
Your Exa API key
The cursor to paginate through the results
1
The number of results to return
1 <= x <= 200
List of imports
The list of imports
Show child attributes
The unique identifier for the Import
The type of object
import
The status of the Import
pending
processing
completed
failed
The format of the import.
csv
webset
The type of entity the import contains.
"company"
The title of the import
The number of entities in the import
Set of key-value pairs you want to associate with this object.
1000
The reason the import failed
invalid_format
invalid_file_content
missing_identifier
When the import failed
A human readable message of the import failure
When the import was created
When the import was last updated
Whether there are more results to paginate through
The cursor to paginate through the next set of results